[Bugs] [Bug 295] New: xulrunner-1.9.2.8-r1 fails to run when compiled with GCC-4.5.1 with some flags

bugzilla-daemon at exherbo.org bugzilla-daemon at exherbo.org
Fri Sep 3 05:29:04 BST 2010


https://bugs.exherbo.org/show_bug.cgi?id=295

           Summary: xulrunner-1.9.2.8-r1 fails to run when compiled with
                    GCC-4.5.1 with some flags
           Product: Repositories
           Version: unspecified
          Platform: x86
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P5
         Component: Packages
        AssignedTo: unassigned at exherbo.org
        ReportedBy: rumen.yotov at gmail.com


Hi.

After upgrading to xulrunner-1.9.2.8-r1 (from 1.9.2.8) firefox didn't start -
segfault errors (tried with new profile etc. no luck).
Changed the compiler to gcc-4.4 and all is Ok again.
Suspect that some of the flags are the culpit:
r   sys-devel/gcc:4.5::arbor 4.5.1 installed replacing 4.5.1
    -ada -doc -fortran -graphite -java obj-c++ objc propolice build_options:
-expensive_tests -split strip jobs=2 -trace -preserve_work
this are flags for GCC-4.4:
sys-devel/gcc:4.4       -obj-c++ -objc -propolice.
Suspect that 'propolice' is the one.
Thanks.
Rumen


-- 
Configure bugmail: https://bugs.exherbo.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are watching all bug changes.



More information about the Bugs mailing list